armhf-omap4: Beta 20120924 server image fails to install with "no kernels found"

Bug #1054143 reported by C de-Avillez on 2012-09-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
live-installer (Ubuntu)
High
Colin Watson
Quantal
High
Colin Watson

Bug Description

found on the kernel testing automation for armhf-omap4, server image:

Sep 21 15:07:33 debconf: --> PROGRESS SET 113
Sep 21 15:07:33 debconf: <-- 0 OK
Sep 21 15:07:33 debconf: --> PROGRESS INFO base-installer/section/pick_kernel_if_missing
Sep 21 15:07:33 debconf: <-- 10 base-installer/section/pick_kernel_if_missing does not exist
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 base-installer: info: could not determine kernel flavour
Sep 21 15:07:34 debconf: --> SETTITLE debian-installer/live-installer/title
Sep 21 15:07:34 debconf: <-- 0 OK
Sep 21 15:07:34 debconf: --> GET base-installer/kernel/override-image
Sep 21 15:07:34 debconf: <-- 0
Sep 21 15:07:34 base-installer: info: Found kernels ''
Sep 21 15:07:34 debconf: --> INPUT high base-installer/kernel/skip-install
Sep 21 15:07:34 debconf: <-- 30 question skipped
Sep 21 15:07:34 debconf: --> GO
Sep 21 15:07:34 debconf: <-- 0 ok
Sep 21 15:07:34 debconf: --> GET base-installer/kernel/skip-install
Sep 21 15:07:34 debconf: <-- 0 false

C de-Avillez (hggdh2) wrote :
C de-Avillez (hggdh2) wrote :

still fails on 2012-09-24 Beta image:

Sep 24 13:53:20 base-installer: Source list entries for this disc are:
Sep 24 13:53:20 base-installer: deb cdrom:[Ubuntu-Server 12.10 _Quantal Quetzal_ - Beta armhf+omap4 (20120924)]/ quantal main restricted
Sep 24 13:53:20 base-installer: Repeat this process for the rest of the CDs in your set.
...

Sep 24 13:53:41 debconf: <-- 10 base-installer/section/pick_kernel_if_missing does not exist
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 base-installer: info: could not determine kernel flavour
Sep 24 13:53:41 debconf: --> SETTITLE debian-installer/live-installer/title
Sep 24 13:53:41 debconf: <-- 0 OK
Sep 24 13:53:41 debconf: --> GET base-installer/kernel/override-image
Sep 24 13:53:41 debconf: <-- 0
Sep 24 13:53:41 base-installer: info: Found kernels ''

C de-Avillez (hggdh2) wrote :

I also see this image in the d-i syslog:

Sep 24 16:18:31 anna[17480]: DEBUG: resolver (kernel-image-3.5.0-211-omap4-di): package doesn't exist (ignored)4 16:18:31 kernel: [ 164.609344] squashfs: version 4.0 (2009/01/31) Phillip Lougher
Sep 24 16:18:48 debconf: --> PROGRESS INFO live-installer/progress/ubuntu-kernel
Sep 24 16:18:48 debconf: <-- 10 live-installer/progress/ubuntu-kernel does not exist

tags: added: rls-q-incoming
summary: - armhf-omap4: 20120921 daily server image fails to install with "no
+ armhf-omap4: Beta 20120924 server image fails to install with "no
kernels found"
C de-Avillez (hggdh2) on 2012-09-24
tags: added: iso-testing
Colin Watson (cjwatson) on 2012-09-24
affects: debian-installer (Ubuntu) → live-installer (Ubuntu)
Changed in live-installer (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
status: New → Triaged
tags: removed: rls-q-incoming
Changed in live-installer (Ubuntu Quantal):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package live-installer - 36ubuntu7

---------------
live-installer (36ubuntu7) quantal; urgency=low

  * debian/live-installer.postinst: Set SUBARCH (LP: #1054143).
 -- Colin Watson <email address hidden> Mon, 24 Sep 2012 18:24:49 +0100

Changed in live-installer (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments